resource "aws_instance" "bastion-k8s-prod-datasaker-io" {
  ami                         = "ami-0b6591f49cf24e237"
  instance_type               = "t3.small"
  count                       = 1
  key_name                    = "kp-jay-bastion-datasaker"
  vpc_security_group_ids      = ["${aws_security_group.prod-dmz-sg-datasaker.id}"]
  subnet_id                   = aws_subnet.sbn-prod-dmz-a.id
  associate_public_ip_address = true

  root_block_device {
    delete_on_termination = true
    encrypted             = false
    tags = {
      Name    = "bastion-k8s-prod-datasaker-io"
    }
    volume_size = 20
    volume_type = "gp3"
    iops        = 3000
  }  

  tags = {
    Name = "bastion-k8s-prod-datasaker-io"
  }
}
